Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135171 - Need ability to filter list of db tables in services tab
Need ability to filter list of db tables in services tab
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: David Vancouvering
issues@db
:
Depends on:
Blocks: 152816
  Show dependency treegraph
 
Reported: 2008-05-15 17:53 UTC by rptmaestro
Modified: 2008-11-10 16:42 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rptmaestro 2008-05-15 17:53:52 UTC
In the services tab, under databases, I am seeing tables with names like "BIN$TAdlox4cILvgQGAKINYlfA==$0". I believe
this is because, in Oracle DB at least, when a DB admin deletes a table, it goes into a temporary holding space till the
admin decides to delete it permanently. (Or possibly its some temporary table of some sort) In any case, it would be
nice to be able to provide a filter to the list of tables in the database tables explorer. It would need to accept a
pattern expression for tables to be ignored.
Comment 1 Andrei Badea 2008-07-22 14:17:10 UTC
We are doing our best to hide the recycle bin tables on Oracle. Which JDBC driver and version are you using?
Comment 2 rptmaestro 2008-07-23 16:45:56 UTC
10.1.0.2
However, I haven't seen them for a while, so a recent update may have resolved it.
Comment 3 Roman Mostyka 2008-11-10 13:08:36 UTC
Is this issue still valid?
Comment 4 rptmaestro 2008-11-10 16:11:46 UTC
As far as I've been able to determine, the recycled tables are no longer showing up.
Comment 5 Roman Mostyka 2008-11-10 16:19:33 UTC
Marked as FIXED according to desc2 and desc5.
Comment 6 Roman Mostyka 2008-11-10 16:20:14 UTC
v


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo